Results 1 to 6 of 6

Thread: Issue with upgrade from 43.2

  1. #1

    Default Issue with upgrade from 43.2

    Hi there and thx for reading and answering with post.

    I'm trying to upgrade to leap15 from 43.2 but got and issue when the installation process crashed around the mounting of partitions, and displayed this message:

    inst_update_partition has failed


    and proposes me to run the ruby debugger.

    on more hint: my root partition has been converted to btrfs. A relationship with the issue ?

    Thx again.

    C.

  2. #2
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    29,803

    Default Re: Issue with upgrade from 43.2

    Quote Originally Posted by lader1 View Post
    I'm trying to upgrade to leap15 from 43.2
    As there are several ways to do such an upgrade. Please do describe what you do, which steps and on which step you get the message.
    Henk van Velden

  3. #3
    Join Date
    Sep 2008
    Posts
    2,997

    Default Re: Issue with upgrade from 43.2

    is your system bootable?
    if not you might need to do an upgrade with a full install dvd (usb)
    it's quite possible that you wore running out of space seeing how btrfs does copy on write and you wore upgrading your whole OS you might have ran out of space
    I don't use btrfs and even if I did I don't know how to turn off copy on write I think there is an option in yast->snapper to turn off snapshots
    if you can't boot the system get an iso of 15 write it on disk and do an upgrade from disk (which might also fail because your root is out of space)
    you should get the 15 live disk mount your existing root and clean some snapshots
    http://download.opensuse.org/distrib...eap/15.0/live/

  4. #4

    Default Re: Issue with upgrade from 43.2

    FWIW I also had the same error message about running the Ruby debugger after a message about the partition not being bootable. It was right at the end of a massive copying of files and was the last thing I wanted to see. However I removed the DVD and rebooted and it started up fine into Leap 15. I'm no expert here but I had the feeling that the upgrade was confused about what type of boot was required. I am not using UEFI which might have been a factor.

  5. #5

    Default Re: Issue with upgrade from 43.2

    Quote Originally Posted by lader1 View Post
    Hi there and thx for reading and answering with post.

    I'm trying to upgrade to leap15 from 43.2 but got and issue when the installation process crashed around the mounting of partitions, and displayed this message:

    inst_update_partition has failed


    and proposes me to run the ruby debugger.

    C.
    Same here, if you find a solution, please post.

    Thanks.

    Code:
    Calling the YaST module 'inst_update_partition has failed.
    More information can be found near the end of the '/var/log/YaST2/y2log' file.
    
    This is worth reporting a bug at http://bugzilla.suse.com/.
    Please, attach also all YaST logs stored in the '/var/log/YaST2/' directory.
    See http://en.opensuse.org/Bugs/YaST for more information about YaST logs.
    
    Options: Next | Quit | Back | Retry

  6. #6

    Lightbulb Re: Issue with upgrade from 43.2

    Last edited by Fraser_Bell; 28-Aug-2018 at 14:23. Reason: Fix Links

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •